<!DOCTYPE html>
<html>
<head>
	<!-- Bootstrap CSS -->
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/css/bootstrap.min.css" integrity="sha384-zCbKRCUGaJDkqS1kPbPd7TveP5iyJE0EjAuZQTgFLD2ylzuqKfdKlfG/eSrtxUkn" crossorigin="anonymous">

	<!-- Responsive Meta Tag -->
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">.

	<title>Bootstrap Grid System</title>
</head>

<body>
	<h1 class="text-center">Bootstrap Grid System</h1>

	<!-- Two Column Layout -->
	<h2 class="text-center">Two Column Layout</h2>
	<!-- class container with grid -->
	<!-- <div class="container bg-dark">
		<h3 class="text-center">1:1 Ratio</h3>
		<div class="row text-white text-center">
			<div class="bg-primary p-3 border border-dark col-6">6 Columns</div>
			<div class="bg-danger p-3 border border-dark col-6">6 Columns</div>
		</div>
	</div> -->

	<div class="container-fluid bg-secondary mt-3">
		<h3 class="text-center">1:1 Ratio</h3>
		<div class="row text-white text-center">
			<div class="bg-primary p-3 border border-dark col-6">6 Columns</div>
			<div class="bg-danger p-3 border border-dark col-6">6 Columns</div>
		</div>

		<div class="row text-center mt-3">
			<div class="bg-info border border-dark col-4 p-3">4 col</div>
			<div class="bg-warning border border-dark col-8 p-3">8 col</div>
			<!-- if the number of columns in a row exceeds 12 it will overflow to the next line -->
			<div class="bg-success border border-dark col-3 p-3">3 col</div>
			</div>
	</div>

	<!-- 
		Bootstrap Grid System runs on a rule of CRC
		Container -set the max width of our grid
			Row - holds 12 columns. Each row is divided equally to 12.
				column - is where our content will be added.
	 -->


<h2 class="text-center my-5">Three Column Layout</h2>
<div class="container-fluid bg-secondary">
	<h3 class="text-center">1:1:1 Ratio</h3>
	<div class="row text-center">
		<div class="col-4 bg-info border border-dark p-3">4 col</div>
		<div class="col-4 bg-warning border border-dark p-3">4 col</div>
		<div class="col-4 bg-success border border-dark p-3">4 col</div>
	</div>
	
	<h3 class="text-center">Uneven Columns</h3>
	<div class="row text-center">
		<div class="col-5 bg-primary border border-dark p-3">5 col</div>
		<div class="col-4 bg-danger border border-dark p-3">4 col</div>
		<div class="col-3 bg-success border border-dark p-3">3 col</div>
	</div>
</div>

<!-- columns with content -->
 <h2 class="text-center my-5">Column with Sample Content</h2>
<div class="container-fluid bg-dark">
	<div class="row">
		<div class="col-6 p-3 text-white">
			<h3>Sample Content</h3>
			<p class="mt-2">
				Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod
				tempor incididunt ut labore et dolore magna aliqua.
			</p>
		</div>
		<div class="col-6 p-3">
			<img src="https://place-puppy.com/600x600" class="img-fluid">

		</div>
		
	</div>
</div>

<h3 class="text-center my-5">
		Mini Activity with 3 columns
</h3>
<div class="container-fluid text-center"> <!-- container start -->
	<div class="row"> <!-- start of row -->
		<div class="col-5"> <!-- col1 start -->
			<h3 class="text-center">This text's column is bigger than the picture</h3>
		</div><!-- col1 end -->

		<div class="col-2"> <!-- col2 start -->
			<img src="https://placebear.com/500/500" class="img-fluid">
		</div><!-- col2 end -->

		<div class="col-5"> <!-- col3 start -->
			<p>This text's column is bigger than the picture</p>
		</div><!-- col3 end -->
	</div> <!-- end of row -->
</div> <!-- container end -->


<!-- auto columns -->
<h2 class="my-5 text-center" >Auto Columns</h2>
<div class="container-fluid bg-secondary">
<!-- To add the number of columns a div in a row can occupy the syntax of the bootstrap class is this col-<#Col> -->
	<div class="row">
		<!-- when creating a column but not providing the total number of grid columns to occupy, bootstrap will then assign and calculate the total number  of columns left in the row and assign it per auto column accordingly -->
		<div class="bg-danger border border-dark p-3 col">Auto 1</div>
		<div class="bg-success border border-dark p-3 col">Auto 2</div>
		<div class="bg-info border border-dark p-3 col">Auto 3</div>
		<div class="bg-success border border-dark p-3 col">Auto 4</div>
		<div class="bg-light border border-dark p-3 col">Auto 5</div>
		<div class="bg-secondary border border-dark p-3 col">Auto 6</div>
		<div class="bg-primary border border-dark p-3 col">Auto 7</div>
	</div>
	<div class="row my-5">
		<div class="col-6 border border-dark bg-primary">col 6</div>
		<div class="col border border-dark bg-info">Auto</div>
		<div class="col border border-dark bg-danger">Auto</div>
	</div>
</div>

<!-- Breakpoints and columns -->
<h2 class="my-5 text-center">Breakpoints and columns</h2>
<div class="container-fluid bg-dark">
	<div class="row">
		<!-- by defualt a column will occupy 12column until its breakpoint . A breakpoint is the screensize wherein the number of columns given will take effoct -->
		<div class="col-lg-6 bg-danger border border-dark p-3">6 cols in lg, 12 cols in XS</div>
		<!-- by declaring or adding col without breakpoint this means that this div has 6 columns from the smallest screen to the largest  -->
		<div class="col-6 bg-primary border border-dark p-3">6 cols in all screen</div>
	</div>
	<div class="row my-5">
		<!-- column without breakpoint means the number of column from the smallest screen until the breakpoint. From the breakpoint , lg, this div is now 8 columns. -->
		<div class="col-3 col-lg-8 bg-info border border-dark p-3"> col-lg-8
		</div>
		<!-- without setting the number of columns from the smallest screen, by default, the column will occupy 12 columns until breakpoint -->
		<div class="col-md-4 bg-warning border border-dark p-3">col-md-4</div>	

	</div>


	<!-- 
		Columns can be sized with breakpoints starting from the smallest screen 
		col-* - from the smallest screen
		col-sm-* - breakpoint from small screen or about 576px screen width
		col-md-* - breakpoint from medium screen or tablet or about 768px screen width
		col-lg-* - breakpoint from large screen or laptop or about 992px screen width
		col-xl-* - breakpoint from largest screen or about 1200px screen width

	 -->

	 <!-- Mini Activity -->
	 <h3 class="text-center my-5">Mini-Activity with Breakpoints</h3>
	 <div class="row">
	 	<div class="col-6 bg-primary border border-dark p-3"></div>
	 	<div class="col-6 col-md-10 bg-danger border border-dark p-3"></div>
	 </div>

	 <div class="row">
	 	<div class="col-md-8 bg-success border border-dark p-3">div1</div>
	 	<div class="col-6 col-md-2 bg-info border border-dark p-3">div2</div>
	 	<div class="col-6 col-md-2 bg-info border border-dark p-3">div3</div>

	 </div>

	 <!-- breakpoints with Text Alignment -->
	 <h3 class="text-md-center my-5">Text Alignment with Breakpoints</h3>
	 <div class="row">
	 	<div class="col-6 col-md-8 text-right text-md-left bg-primary border border-dark p-3">div1</div>
	 	<div class="col-6 col-md-4 text-md-right bg-danger border border-dark p-3">div2</div>
	 </div>

	 <h2 class="text-center my-5">Display Order with Breakpoints</h2>
	 <div class="row">
	 	<div class="col-6 col-md-10 order-2 order-md-1 bg-warning border border-dark">Div1</div>
	 	<div class="col-6 col-md-2 order-1 order-md-2 bg-primary border border-dark">Div2</div>
	 </div>

	 <h3 class="text-md-center my-5">Mini Activity with Order</h3>
	 <div class="row">
	 	<div class="col-4 order-1 order-md-2 order-lg-3 bg-warning border border-dark p-3">Lebron</div>
	 	<div class="col-4 order-3 order-md-1 order-lg-2 bg-primary border border-dark p-3">Curry</div>
	 	<div class="col-4 order-2 order-md-3 order-lg-1 border border-dark p-3 text-white">Durant</div>

	 </div>
















</div>





<!-- JS Dependencies -->
<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-fQybjgWLrvvRgtW6bFlB7jaZrFsaBXjsOMm/tB9LTS58ONXgqbR9W8oWht/amnpF" crossorigin="anonymous"></script>
<!-- End of JS Dependencies -->

</body>
</html>